Retrieve a payment

Retrieves the details of a payment that has previously been created. Supply the unique payment ID that was returned from your previous request.

If the payment was created from a Payment Intent or Checkout Session, metadata contains the initial metadata snapshot copied onto the Payment when it was first created. You can update Payment metadata later with the Update a payment endpoint.

You can also search and review payments in the Merchant Dashboard.

Related guide: Payment records

Path Parameters
  • id
    Type: string
    max length:  
    200
    required
Query Parameters
  • expand
    Type: array string[]
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v2/payments/{id}
curl 'https://api.paypercut.io/v2/payments/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "created": "2026-07-08T08:02:27.826Z",
  "amount": 2000,
  "currency": {
    "iso": "usd",
    "scale": 2
  },
  "status": "failed",
  "metadata": {
    "additionalProperty": "string"
  },
  "balance_transaction": {
    "id": "string",
    "created": "2026-07-08T08:02:27.826Z",
    "amount": 1,
    "currency": {
      "iso": "usd",
      "scale": 2
    },
    "exchange_rate": null,
    "fee": 1,
    "net": 1
  },
  "formatted_amount": "20.00",
  "amount_captured": 1,
  "amount_refunded": 1,
  "latest_status": "succeeded",
  "captured": true,
  "updated": "2026-07-08T08:02:27.826Z",
  "outcome": {
    "network_decline_code": null,
    "network_status": null,
    "risk_score": 1,
    "seller_message": null,
    "type": "string"
  },
  "failure_code": null,
  "failure_message": null,
  "paid": true,
  "payment_method": "card",
  "payment_method_details": {
    "card": {
      "amount_authorized": null,
      "authorization_code": null,
      "authorization_type": null,
      "capture_before": null,
      "transaction_type": null,
      "brand": null,
      "country": null,
      "cardholder_name": null,
      "issuer": null,
      "funding": "string",
      "segment": "string",
      "exp_month": 1,
      "exp_year": 1,
      "last4": null,
      "network_transaction_id": null,
      "iin": "string",
      "three_d_secure": {
        "authentication_flow": null,
        "electronic_commerce_indicator": null,
        "result": null,
        "result_reason": null,
        "transaction_id": null,
        "exemption_indicator": null,
        "version": null
      },
      "wallet": {
        "type": "string"
      }
    }
  },
  "customer": "01K755J9SV2364REVHB915Z2FW",
  "payment_intent": "01K755J9SY55CS04SQ3JX1NX36",
  "checkout_id": null,
  "latest_operation": "capture",
  "refunded": true,
  "disputed": true,
  "fraud_details": {
    "response_state": "string",
    "fraud_score": 1
  },
  "client_reference_id": null,
  "statement_descriptor": null,
  "fee": 1,
  "fee_details": [
    {
      "amount": 1,
      "currency": {
        "iso": "usd",
        "scale": 2
      },
      "applied_amount": 1,
      "applied_amount_currency": {
        "iso": "usd",
        "scale": 2
      },
      "balance_account_id": null,
      "fixed_amount": 0.25,
      "rate": 1,
      "payer": "string",
      "payee": "string",
      "rule": "string",
      "exchange_rate": {
        "from_currency": {
          "iso": "usd",
          "scale": 2
        },
        "to_currency": {
          "iso": "usd",
          "scale": 2
        },
        "rate": 1,
        "reversed_rate": 1
      },
      "description": null,
      "type": "string"
    }
  ],
  "livemode": true
}